//********************************************************************
//*** POSIX/timerInstances.cc
//*** Copyright (c) 2003-2007 by Markus Winand <mws@fatalmind.com>
//*** $Id: timerInstances.cc,v 1.6 2007/09/06 18:16:48 mws Exp $
//********************************************************************

#ifndef POSIX_TIMER_HH
#include "POSIX/timer.hh"
#endif

#ifndef INCLUDED_THREAD_LOCK_HH
#include "Thread/Lock.hh"
#endif

#include "POSIX/timer.cc"

namespace fatalmind {

template class timer< SingleThreadedModel<DefaultLockStatistics>, SingleThreadedModel<DefaultLockStatistics> >;
template class timer<  MultiThreadedModel<DefaultLockStatistics>, SingleThreadedModel<DefaultLockStatistics> >;

template class timer< SingleThreadedModel<DefaultLockStatistics>, MultiThreadedModel<DefaultLockStatistics> >;
template class timer<  MultiThreadedModel<DefaultLockStatistics>, MultiThreadedModel<DefaultLockStatistics> >;

} // namespace fatalmind
